package de.intevation.flys.client.client.event;

import java.io.Serializable;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class StepBackEvent implements Serializable {

    private static final long serialVersionUID = 7895180143662002198L;

    /** The identifier of the target state.*/
    protected String target;


    /**
     * Creates a new StepBackEvent with the identifier of the target state.
     *
     * @param target The identifier of the target state.
     */
    public StepBackEvent(String target) {
        this.target = target;
    }


    /**
     * A method to retrieve the target identifier.
     *
     * @return the target identifier.
     */
    public String getTarget() {
        return target;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
